@charset "utf-8";

/* ################################################## GENERAL ################################################## */
:root {
    --container-max-width: 100%;
    --header-height: 100px;
}

html {
    scroll-behavior: smooth;
}

section[id],
div[id] {
    scroll-margin-top: var(--header-height);
}

html,
body {
    max-width: none;
    background-color: var(--bs-secondary) !important;
}

video {
    display: block;
}

img,
video,
picture {
    max-width: 100%;
    height: auto;
}

.animated,
img,
svg,
a,
i,
.fa-stack {
    transition: all 300ms ease 0s;
}

select {
    cursor: pointer;
}

.unbreakable {
    white-space: nowrap;
}

.cover {
    width: 100%;
    height: 100%;
    margin: 0;
    top: 0;
    left: 0;
}

.cover img,
.cover video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content *:last-child {
    margin-bottom: 0;
}

.btn-icon .fa-stack {
    font-size: 2rem;
    width: 2em;
}

.overlay {
    position: relative;
}

.overlay::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(27, 26, 26);
    background: linear-gradient(90deg, rgba(27, 26, 26, 0.7035189075630253) 97%, rgba(31, 24, 24, 0.15730042016806722) 100%);
    top: 0;
}

.section-hero {
    margin-top: 3rem;
}

.hero-large {
    margin-top: 3rem;
}

/* ################################################## Custom styling start ########################################## */
.navbar-brand img {
    max-height: 60px;
}

.nav-link {
    margin: 0 10px;
    color: #000000;
}

.nav-link i {
    margin-left: 0.5rem;
    transition: all .3s ease;
    color: var(--bs-primary)
}

.nav-link:hover {
    color: var(--bs-primary)
}

.nav-link:hover>i {
    transform: translateX(5px);
}

.hero-button {
    min-width: 100%;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
}

.accordion-item {
    border-bottom: 1px solid #DEDEDE !important;
}

.accordion-item:last-of-type .accordion-button.collapsed,
.accordion-item:last-of-type {
    border-radius: 0;
}

.resource-item {
    cursor: pointer;
}

.resource-item:hover {
    background-color: #f7ece5 !important;
}

.modalMenuItem {
    background-color: var(--bs-primary);
    color: white;
    aspect-ratio: 1;
    display: grid;
    place-items: center;
}

.custom-break {
    word-wrap: break-word; /* Ensures long words break correctly */
}

/* ################################################## MEDIA QUERIES ################################################## */
/* Below small devices (standard values) */

/* Small devices (landscape phones, 576px and up) */
/* Bootstrap: -sm */
@media (min-width: 576px) {}

/* Medium devices (tablets, 768px and up) */
/* Bootstrap: -md */
@media (min-width: 768px) {
    .dropdown:hover .dropdown-menu {
        display: block;
    }

    .dropdown>.dropdown-toggle:active {
        /*Without this, clicking will make it sticky*/
        pointer-events: none;
    }

    #page-header.scrolled {
        display: none;
    }
    
    .section-hero {
        margin-top: 100px;
    }
    
    .hero-large {
        margin-top: 10vh;
    }
    
    .hero-button {
        min-width: 360px;
    }
    
    .navbar-brand img {
        max-height: 75px;
    }

}

/* Large devices (desktops, 992px and up) */
/* Bootstrap: -lg */
@media (min-width: 992px) {}

/* Extra large devices (large desktops, 1200px and up) */
/* Bootstrap: -xl */
@media (min-width: 1200px) {}

/* HD devices (extra large desktops, 1540px and up) */
@media (min-width: 1540px) {}